com.sun.jna.platform.win32

## Class Ddeml.MONHSZSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.MONHSZSTRUCT

- Enclosing interface:
    Ddeml

      public static class Ddeml.MONHSZSTRUCT
      extends Structure

  Contains information about a Dynamic Data Exchange (DDE) string handle. A DDE monitoring application can use this structure when monitoring the activity of the string manager component of the DDE Management Library.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cb` The structure's size, in bytes.
    `int` | `dwTime` The Windows time at which the action specified by the fsAction member takes place.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `int` | `fsAction` The action being performed on the string identified by the hsz member.
    `Ddeml.HSZ` | `hsz` A handle to the string.
    `WinNT.HANDLE` | `hTask` A handle to the task (application instance) performing the action on the string handle.
    `byte[]` | `str` String identified by the hsz member.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ddeml.MONHSZSTRUCT()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `java.lang.String` | `getStr()`
    `void` | `read()` Reads the fields of the struct from native memory
    `void` | `write()` Writes the fields of the struct to native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### cb

          public int cb

      The structure's size, in bytes.

    - #### fsAction

          public int fsAction

      The action being performed on the string identified by the hsz member.

      Value | Meaning
      --- | ---
      MH_CLEANUP (4) | An application is freeing its DDE resources, causing the system to delete string handles the application had created. (The application called the DdeUninitialize function.)
      MH_CREATE (1) | An application is creating a string handle. (The application called the DdeCreateStringHandle function.)
      MH_DELETE (3) | An application is deleting a string handle. (The application called the DdeFreeStringHandle function.)
      MH_KEEP (2) | An application is increasing the usage count of a string handle. (The application called the DdeKeepStringHandle function.)

    - #### dwTime

          public int dwTime

      The Windows time at which the action specified by the fsAction member takes place. Windows time is the number of milliseconds that have elapsed since the system was booted.

    - #### hsz

          public Ddeml.HSZ hsz

      A handle to the string. Because string handles are local to the process, this member is a global atom.

    - #### hTask

          public WinNT.HANDLE hTask

      A handle to the task (application instance) performing the action on the string handle.

    - #### str

          public byte[] str

      String identified by the hsz member.

  - ### Constructor Detail

    - #### Ddeml.MONHSZSTRUCT

          public Ddeml.MONHSZSTRUCT()

  - ### Method Detail

    - #### write

          public void write()

      Description copied from class: `Structure`
      Writes the fields of the struct to native memory
      Overrides:
        `write` in class `Structure`

    - #### read

          public void read()

      Description copied from class: `Structure`
      Reads the fields of the struct from native memory
      Overrides:
        `read` in class `Structure`

    - #### getStr

          public java.lang.String getStr()

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.